Package jakarta.security.auth.message.module

## Interface ServerAuthModule

All Superinterfaces:
  `ServerAuth`

    public interface ServerAuthModule
    extends ServerAuth

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Class<?>[]` `getSupportedMessageTypes()`
`void` `initialize​(MessagePolicy requestPolicy, MessagePolicy responsePolicy, javax.security.auth.callback.CallbackHandler handler, java.util.Map<java.lang.String,​java.lang.Object> options)`

### Methods inherited from interface jakarta.security.auth.message.ServerAuth

`cleanSubject, secureResponse, validateRequest`

### Method Detail

#### initialize

    void initialize​(MessagePolicy requestPolicy,
                    MessagePolicy responsePolicy,
                    javax.security.auth.callback.CallbackHandler handler,
                    java.util.Map<java.lang.String,​java.lang.Object> options)
             throws AuthException

Throws:
  `AuthException`

#### getSupportedMessageTypes

    java.lang.Class<?>[] getSupportedMessageTypes()